Merchant Approve Transaction

The Merchant Approve Transaction request lets you approve or decline transactions with invoice status of PENDING_MERCHANT_REVIEW.


Request Content

The request must include either the transactionid or merchanttransactionid.

If approvetransaction is not included, true is assumed.

Response Details

If successful, the response HTTP status code is 204.
The response will be in MerchantApprovalResource and contain the following parameters.

Possible Responses

Case

Examples

Approve

  • Auth Only (with amount > 0)

with transactionId

json
{
  "transactionId": "38611602",
  "transactionStatus": "Waiting"
}

with merchantTransactionId

json
{
  "transactionId": "38611602",
  "transactionStatus": "Waiting",
  "merchantTransactionId": "merchantTransactionId122222"
}
  • Auth Only (with amount = 0)
  • Auth Capture
  • Create PayPal Transaction

with transactionId

json
{
  "transactionId": "38611602",
  "transactionStatus": "Approved"
}

with merchantTransactionId

json
{
  "transactionId": "38611602",
  "transactionStatus": "Approved",
  "merchantTransactionId": "merchantTransactionId122222"
}
  • Create Subscription
  • Create Merchant-Managed Subscription

with transactionId

json
{
  "subscriptionId": 39606170,
  "transactionId": "38611602",
  "transactionStatus": "Approved"
}

with merchantTransactionId

json
{
  "subscriptionId": 39606170,
  "transactionId": "38611602",
  "transactionStatus": "Approved",
  "merchantTransactionId": "merchantTransactionId122222"
}

Decline

  • All others

with transactionId

json
{
  "transactionId": "38611592",
  "transactionStatus": "Canceled"
}

with merchantTransactionId

json
{
  "transactionId": "38611592",
  "transactionStatus": "Canceled",
  "merchantTransactionId": "merchantTransactionId122222"
}

Example

Request Example

curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions/approval?transactionid=38612140&approvetransaction=true \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions/approval?transactionid=38612140&approvetransaction=false \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '

Response Examples

{
	"transactionId": "38611602",
	"transactionStatus": "Approved"
}
{
	"transactionId": "38611602",
	"transactionStatus": "Approved",
	"merchantTransactionId": "merchantTransactionId122222"
}

API Explorer

To test a call, enter an existing transaction ID or merchant transaction ID. This automatically inserts the ID into the request URL.

Query Params
string
Defaults to 38612140

either transactionid or merchanttransactionid is required
ID of the transaction to be approved/declined

boolean
Defaults to true

Set to true to approve the transaction or to false to decline the transaction. Default value is true.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!